Package it.ernytech.tdlib

## Class TdApi.AnswerShippingQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AnswerShippingQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerShippingQuery
    extends TdApi.Function

Sets the result of a shipping query; for bots only.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `errorMessage` An error message, empty on success.
`TdApi.ShippingOption[]` `shippingOptions` Available shipping options.
`long` `shippingQueryId` Identifier of the shipping query.

### Constructor Summary

Constructors
`AnswerShippingQuery()` Default constructor.
`AnswerShippingQuery​(long shippingQueryId, TdApi.ShippingOption[] shippingOptions, java.lang.String errorMessage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### shippingQueryId

    public long shippingQueryId

Identifier of the shipping query.

#### shippingOptions

    public TdApi.ShippingOption[] shippingOptions

Available shipping options.

#### errorMessage

    public java.lang.String errorMessage

An error message, empty on success.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AnswerShippingQuery

    public AnswerShippingQuery()

Default constructor.

#### AnswerShippingQuery

    public AnswerShippingQuery​(long shippingQueryId,
                               TdApi.ShippingOption[] shippingOptions,
                               java.lang.String errorMessage)

Constructor for initialization of all fields.

Parameters:
  `shippingQueryId` - Identifier of the shipping query.
  `shippingOptions` - Available shipping options.
  `errorMessage` - An error message, empty on success.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR